Bug 1195355 (CVE-2015-2042) - CVE-2015-2042 kernel: rds: information handling flaw in rds sysctl files.
Summary: CVE-2015-2042 kernel: rds: information handling flaw in rds sysctl files.
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-2042
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1199365
Blocks: 1195358
TreeView+ depends on / blocked
 
Reported: 2015-02-23 16:09 UTC by Martin Prpič
Modified: 2019-09-29 13:28 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-11 05:53:29 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-02-23 16:09:16 UTC
A flaw was found in the method that the linux kernel handles userspace tuning of the Reliable Datagram Sockets (RDS) system settings. The incorrect handling allowed a trusted user to set multiple RDS sysctls for RDS with specially formatted data.  Reading from these files also returned data from other sysctl settings that would be exposed via the same permissions to this user.

This bug provides little risk to users as the values that can be modified are exposed via proc sysctls with the same permissions.

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=db27ebb111e9f69efece08e4cb6a34ff980f8896

Comment 2 Wade Mealing 2015-03-04 06:36:59 UTC
Statement:

This issue affects the versions of the kernel as shipped with Red Hat Enterprise Linux 5 and 6 . Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 3 Wade Mealing 2015-03-06 03:44:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1199365]


Note You need to log in before you can comment on or make changes to this bug.